Loading...
Searching...
No Matches
gntconv.h File Reference
Finch (GNT User Interface)

GNT Conversation API. More...

`#include <gnt.h>`
`#include <gntwidget.h>`
`#include <gntmenuitem.h>`
`#include "conversation.h"`

Go to the source code of this file.

## Data Structures

struct | _FinchConv
struct | _FinchConvChat
struct | _FinchConvIm

## Macros

#define | FINCH_CONV(conv) ((FinchConv *)(conv)->ui_data)

## Typedefs

typedef struct _FinchConv | FinchConv
typedef struct _FinchConvChat | FinchConvChat
typedef struct _FinchConvIm | FinchConvIm

## Enumerations

enum | FinchConversationFlag { FINCH_CONV_NO_SOUND = 1 << 0 }

## Functions

PurpleConversationUiOps * | finch_conv_get_ui_ops (void)
| Get the ui-functions.
void | finch_conversation_init (void)
| Perform the necessary initializations.
void | finch_conversation_uninit (void)
| Perform the necessary uninitializations.
void | finch_conversation_set_active (PurpleConversation *conv)
| Set a conversation as active in a contactized conversation.
void | finch_conversation_set_info_widget (PurpleConversation *conv, GntWidget *widget)
| Sets the information widget for the conversation window.

## Detailed Description

GNT Conversation API.

Definition in file gntconv.h.

## Macro Definition Documentation

## FINCH_CONV

#define FINCH_CONV | ( |  | conv | ) | ((FinchConv *)(conv)->ui_data)

Definition at line 36 of file gntconv.h.

## Typedef Documentation

## FinchConv

typedef struct _FinchConv FinchConv

Definition at line 43 of file gntconv.h.

## FinchConvChat

typedef struct _FinchConvChat FinchConvChat

Definition at line 44 of file gntconv.h.

## FinchConvIm

typedef struct _FinchConvIm FinchConvIm

Definition at line 45 of file gntconv.h.

## Enumeration Type Documentation

## FinchConversationFlag

enum FinchConversationFlag

Definition at line 47 of file gntconv.h.

## Function Documentation

## finch_conv_get_ui_ops()

PurpleConversationUiOps * finch_conv_get_ui_ops | ( | void |  | ) |

Get the ui-functions.

Returns
  The PurpleConversationUiOps populated with the appropriate functions.

## finch_conversation_set_active()

void finch_conversation_set_active | ( | PurpleConversation * | conv | ) |

Set a conversation as active in a contactized conversation.

Parameters

  conv | The conversation to make active.

## finch_conversation_set_info_widget()

void finch_conversation_set_info_widget | ( | PurpleConversation * | conv,
|  | GntWidget * | widget
| ) |  |

Sets the information widget for the conversation window.

Parameters

  conv | The conversation.
  widget | The widget containing the information. If `NULL`, the current information widget is removed.